# waypointsetsmart.cpp File Reference

Template File. More...

`#include "waypointsetsmart.h"`
`#include "valuenodelinkconnect.h"`
`#include "valuenodereplace.h"`
`#include "waypointset.h"`
`#include "waypointadd.h"`
`#include "valuedescconnect.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/exception.h>`
`#include <synfigapp/main.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::WaypointSetSmart)
| ACTION_SET_NAME (Action::WaypointSetSmart,"WaypointSetSmart")
| ACTION_SET_LOCAL_NAME (Action::WaypointSetSmart, N_("Add Waypoint"))
| ACTION_SET_TASK (Action::WaypointSetSmart,"set")
| ACTION_SET_CATEGORY (Action::WaypointSetSmart, Action::CATEGORY_WAYPOINT|Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE)
| ACTION_SET_PRIORITY (Action::WaypointSetSmart, 0)
| ACTION_SET_VERSION (Action::WaypointSetSmart,"0.0")
| ACTION_SET_CVS_ID (Action::WaypointSetSmart,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::WaypointSetSmart |  | ) |

ACTION_SET_NAME | ( | Action::WaypointSetSmart | ,
|  | "WaypointSetSmart" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::WaypointSetSmart | ,
|  | N_("Add Waypoint") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::WaypointSetSmart | ,
|  | "set" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::WaypointSetSmart | ,
|  | Action::CATEGORY_WAYPOINT|Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::WaypointSetSmart | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::WaypointSetSmart | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::WaypointSetSmart | ,
|  | "$Id$" |  |
| ) |  |  |